package ink.wgink.gateway.pojo.result;

import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @ClassName: SuccessResult
 * @Description: 成功结果
 * @Author: WangGeng
 * @Date: 2019/3/2 11:52 PM
 * @Version: 1.0
 **/
@Data
@ToString
@Document
public class SuccessResultData<T> {

    private T data;

    public SuccessResultData() {}

    public SuccessResultData(T data) {
        this.data = data;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
